### Method

# Gtk.TextView.get_iter_at_location

#### Declaration [src]

    gboolean
    gtk_text_view_get_iter_at_location (
      GtkTextView* text_view,
      GtkTextIter* iter,
      int x,
      int y
    )

#### Description [src]

Retrieves the iterator at buffer coordinates `x` and `y`.

Buffer coordinates are coordinates for the entire buffer, not just the currently-displayed portion. If you have coordinates from an event, you have to convert those to buffer coordinates with `gtk_text_view_window_to_buffer_coords()`.

#### Parameters

`iter` | `GtkTextIter`
| a `GtkTextIter`
| Direction: out
| Ownership is not transferred to the callee
`x` | `int`
| x position, in buffer coordinates
`y` | `int`
| y position, in buffer coordinates

#### Return value

Returns: `gboolean`
`TRUE` if the position is over text